Title 'Nest01a.sa   2011/06/02  Y.Takahashi' ;

option ls=95 ;

data dd.d01 ;
    input B $ C$ @@ ;
	do A = 'A1', 'A2', 'A3' ;
	  input y @@ ;
	  output ;
	end ;
datalines ;
B1  C1  94  107  86
B1  C2  96  108  87
B2  C1  90  117  85
B2  C2  92  116  83
;

proc varcomp method=type1 ;
    class  A  B  C ;
	model  y  =  A  B(A) ;
	run ;

proc glm data=d01 ;
    class A B C ;
	model y = A B A*B C A*C B*C A*B*C ;
	run ;


data d02 ;
    input B $ C$ @@ ;
	do A = 'A1', 'A2', 'A3' ;
	  input y @@ ;
	  output ;
	end ;
datalines ;
B1  C1  94  107  86
B1  C2  96  108  87
B2  C1  90  117  85
B2  C2  .     .   .
;

proc varcomp data=d02 method=type1 /* reml */ ;
    class  A  B  C ;
	model  y  =  A  B(A) ;
	run ;

proc mixed data=d02 cl=wald covtest ;
    class  A  B  C ;
    model  y  =    ;
    random  A  B(A) ;
    run ;
    



